*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* empèche la box de grandir avec les paddings */
}

html{
    scroll-behavior: smooth;
}

/* Bordure pour vérifer blocs */
/* section{
    border: 3px solid yellow;
}

footer{
    border: 3px solid red;
}

div, nav, header, article, form{
    border: 2px solid green;
} */

img{
    /* garder ratio d'une image  */
    object-fit: cover;
    /* reponsive */
    display: inline block;
    max-width: 100%;
    margin-left: 10px;
}

.flex{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.column{
    flex-direction: column;
}

body{
    font-family: 'Roboto', sans-serif;
    color: black;
    font-style: regular;
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    vertical-align: baseline;
    background: #FFFBF5;
}

/*==================================== HEADER ====================================*/


h2{
    font-family: 'Libre Baskerville', serif;
    font-style: Bold;
    font-size: clamp(30px, 13vw, 60px);
    vertical-align: top;
    margin-left: 20px;
    margin-right: 20px;
}

.burger{
    display: none;
}

nav{
    /* gap: 5px; */
    width: min(1100px, 95%);
    flex-direction: row;
    justify-content: space-around;
    align-self: center;
    flex-wrap: wrap;
    margin-top: 14px;
    margin-bottom: 14px;
    margin-right: 10px;
}

.footer{
    min-width: 1400px;
    margin-top: 14px;
    margin-bottom: 14px;
    margin-right: 10px;
}

nav a{
    text-decoration: none;
    color: black;
    row-gap: 45px;
    /* align: center;
    vertical-align: top; */
}

a {
    transition: color .5s;
    text-decoration: none;
    color: black;
  }
  
a:hover {
    color: #d8998f;
}

.menuicons{
    gap: 40px;
    /* responsive : passer icones en ligne */
    flex-wrap: wrap;
    justify-content: flex-end;
}

.icon{
    gap: 20px;
}

form{
    box-sizing: border-box;
}

.bouton{
    font-family: 'Roboto', sans-serif;
    font-weight: 500;
    font-size: clamp(12px, 10vw, 18px);
    justify-content: center;
    align-items: center;
}

input{
    background: #FFFBF5;
    color: #D8998F;
    font-size: clamp(12px, 10vw, 14px);
    padding: 5px 5px;
    border-radius: 1px;
    border-color: black;
}

.boutonblack{
    background: #333333;
    color: #FFFBF5;
    /* font-size: clamp(12px, 10vw, 13px); */
    padding: 2px 5px;
}


/* =============================================VÊTEMENT SÉLECTIONNÉ=========================== */

.bold{
    font-weight: bolder;
}

.italic{
    font-style: italic;
    text-decoration: underline;
}

.container{
    /* border: 4px solid green; */
    padding: 30px;
    gap: 130px;
    justify-content: left;
}

p{
  font-weight: 500;
  font-size: clamp(12px, 3vw, 20px);
  margin-top: 20px;
  margin-left: 40px;
}


h3{
    font-size: clamp(16px, 3vw, 22px);
    font-weight: 500;
    margin-bottom: 5px;
}

h4{
    font-weight: 500;
    font-size: clamp(16px, 3vw, 22px);
    margin-bottom: 15px;
}

.box{
    border: 1px solid grey;
    width: 70px;
    height: 50px;
    /* margin-right: 18px; */
}

.sizeselect{
    width: 70px;
    height: 50px;
    /* margin-right: 18px; */
}

button{
    background: #333333;
    color: #FFFFFF;
    border: 0px;
    width: 100px;
    height : 40px;
    font-size: clamp(14px,3vw,16px);
    align-self: center;
    margin-bottom: 10px;
}

span,
p,
h2,
.icon,
.ajouter{
    cursor: pointer;
}



.details{
    align-items: flex-start;
    /* border: 1px solid pink; */
}

.detail1{
    padding-bottom: 60px;
}

.detail2{
    justify-content: flex-start;
    gap: 30px;
}

.detail3{
    padding-bottom: 60px;
}

.detail3 button{
    cursor: pointer;
    transition-duration: 0.2s;
}

.detail3 button:hover{
    font-weight: 700;
}

.detail3 .box{
    font-size: clamp(14px, 9vw,20px);
    justify-content: center ;
    background: #FFFBF5;
    color: black;
}

.detail3 .sizeselect{
    font-size: clamp(14px, 9vw,20px);
    justify-content: center;
}

.detail4{
    justify-content: flex-start;
    align-items: flex-start;

}

p2{
    font-size: clamp(14px, 2vw, 18px);
    font-weight: 600;
}

p3{
    font-size: clamp(14px, 2vw, 16px);
}


/* CARROUSEL */

.slider{
    width: 370px;
    overflow: hidden;
}

.slides{
    width: calc(399px*3);
    animation: glisse 10s;
}

/* .slide{
    float: left;
} */

@keyframes glisse{
    0%{
        transform: translateX(0);
    }
    13%{
        transform: translateX(0);
    }
    33%{
        transform: translateX(-399px);
    }
    43%{
        transform: translateX(-399px);
    }
    66%{
        transform: translateX(-798px);
    }
    76%{
        transform: translateX(-798px);
    }
    100%{
        transform: translateX(0);
    }
}

/* ============================================ FOOTER =============================== */

footer{
    justify-content: space-between;
    

}

.newsletter{
    min-width: 335px;
    min-height: 123px;
    border: 1px solid black;
    border-left: none;
    border-right: none;
    justify-content: center;
    align-items: space-evenly;
    text-align: left;
    align-self: stretch;
}

.newsletter p{
    font-size: clamp(12px, 4vh, 16px);
    /* text-align: center; */

}
.newsletter form{
    margin-top: 15px;
    /* margin-left: 40px;
    justify-content: center; */
}

.footer{
    min-height: 94px;
    flex-direction: row;
}

/* ============================================ MEDIA QUERIES =============================== */

@media (max-width: 900px){
    #home nav a{
        display: none;
    }

@media (max-width: 670px) {
    #select nav a{
        display: table-column;
        justify-content: space-around;
    }
    
    .burger{
        display: block;
        cursor: pointer;
        padding: 10px;
    } 
    
    #select nav{
        position: fixed;
        top: 0;
        left: 0;
        right: 0; 
    }
    
    .burger h2{
        background: #FFFBF5;
        padding: 10px;
        /* valeur passe au dessus des autres */
        z-index: 1;
    }
    
    #select nav{
        /* position passe par dessus les autres */
        position: fixed;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        background: #FFFBF5;
        flex-direction: column;
        justify-content: center !important;
        align-items: center;
        gap: 40px;
        /* valeur passe au dessus des autres */
        transform: translateX(100%);
        transition: 2s;
    }
    
    .menu-open{
        transform: translateX(0);
    }
          
    .burger span{
        width: 40px;
        height: 5px;
        background: black;
        border-radius: 54px;
        margin: 6px;
        display: block;
    }
    
    .menuicons{
        display: none;
    }
    
    form{
        margin: 0 auto 35px;
    }
    
    .footer{
        flex-direction: column !important;
    }

    p,
    p1,
    p2,
    p3,
    h1,
    h2,
    h3,
    h4{
        text-align: center;
        margin: 0;
    }

    .detail1{
        align-items: center;
        padding: 20px;
    }
    
    .detail2{
        justify-content: center;
        align-items: center;
    }
    .detail3{
        gap: 10px;
        padding-top: 10px;
        padding-bottom: 20px;
    }
    .box{
        width: 100%;
        height: 100%;
    }
    
    .sizeselect{
        width: 100%;
        height: 100%;
    } 
    .italic{
        font-size: clamp(12px,3vw,16px);
    }

    button.ajouter{
        justify-content: center;
        align-items : center ;
        align-self: center;
        width: 100%;
    }
    
    .container{
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 20px;
    }

    img{
       margin: 0px;
    }

     .detail4{
         justify-content: center;
         align-items: center;
    }

    .slider{
        width: max(370px,70%);
        overflow: hidden;
    }

    header{
        margin-bottom: 30px;
    }

    

    


    
}
}